Package ghidra.app.util.viewer.listingpanel

# Interface VerticalPixelAddressMap

All Known Implementing Classes:
  `VerticalPixelAddressMapImpl`

public interface VerticalPixelAddressMap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `findLayoutAt(int y)`
  Finds the layout containing the given point.
  `AddressSetView`
  `getAddressSet()`
  Gets the address set of this address map.
  `int`
  `getBeginPosition(int i)`
  Returns the y position of the top of the i'th layout.
  `Address`
  `getEndAddress()`
  Returns the index of the last layout in this map.
  `int`
  `getEndPosition(int i)`
  Returns the y position of the bottom of the i'th layout.
  `Address`
  `getLayoutAddress(int i)`
  Returns the address of the i'th layout in this map.
  `Address`
  `getLayoutEndAddress(int i)`
  Returns the address of the bottom of the i'th layout.
  `int`
  `getMarkPosition(int i)`
  Returns pixel location to draw marker icon.
  `int`
  `getNumLayouts()`
  Returns the number of layouts in this map.
  `Address`
  `getStartAddress()`
  Returns the Address of the first layout in this map
  `boolean`
  `hasPrimaryField(int i)`
  Determines if the given layout index contains the primary field

- ## Method Details

  - ### getStartAddress

    Address getStartAddress()
    Returns the Address of the first layout in this map
    Returns:
      the address

  - ### getEndAddress

    Address getEndAddress()
    Returns the index of the last layout in this map.
    Returns:
      the address

  - ### getNumLayouts

    int getNumLayouts()
    Returns the number of layouts in this map.
    Returns:
      the number of layouts

  - ### getLayoutAddress

    Address getLayoutAddress(int i)
    Returns the address of the i'th layout in this map.
    Parameters:
      `i` - the index into the local array of layouts
    Returns:
      the address of the i'th layout in this map.

  - ### getBeginPosition

    int getBeginPosition(int i)
    Returns the y position of the top of the i'th layout.
    Parameters:
      `i` - the index of the layout.
    Returns:
      the position

  - ### getEndPosition

    int getEndPosition(int i)
    Returns the y position of the bottom of the i'th layout.
    Parameters:
      `i` - the index of the layout.
    Returns:
      the position

  - ### getMarkPosition

    int getMarkPosition(int i)
    Returns pixel location to draw marker icon.
    Parameters:
      `i` - the index of the layout to be marked with an icon.
    Returns:
      the vertical pixel location at which to draw the icon.

  - ### hasPrimaryField

    boolean hasPrimaryField(int i)
    Determines if the given layout index contains the primary field
    Parameters:
      `i` - the layout index to test.
    Returns:
      true if the layout contains the primary field.

  - ### findLayoutAt

    int findLayoutAt(int y)
    Finds the layout containing the given point.
    Parameters:
      `y` - the y coordinate of layout to be found.
    Returns:
      the layout index

  - ### getLayoutEndAddress

    Address getLayoutEndAddress(int i)
    Returns the address of the bottom of the i'th layout.

    Note: this will return null if at the end of an overlay block.

    Parameters:
      `i` - the index of the layout
    Returns:
      the address of the bottom of the i'th layout

  - ### getAddressSet

    AddressSetView getAddressSet()
    Gets the address set of this address map.
    Returns:
      the address set of this address map